## LassoSamlAuthorityBinding

LassoSamlAuthorityBinding — <saml:AuthorityBinding>

## Functions

LassoNode * | lasso_saml_authority_binding_new ()

## Types and Values

struct | LassoSamlAuthorityBinding

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSamlAuthorityBinding

## Description

Figure 29. Schema fragment for saml:AuthorityBinding

    <element name="AuthorityBinding" type="saml:AuthorityBindingType"/>
    <complexType name="AuthorityBindingType">
      <attribute name="AuthorityKind" type="QName" use="required"/>
      <attribute name="Location" type="anyURI" use="required"/>
      <attribute name="Binding" type="anyURI" use="required"/>
    </complexType>

## Functions

### lasso_saml_authority_binding_new ()

    LassoNode *
    lasso_saml_authority_binding_new (void);

Creates a new LassoSamlAuthorityBinding object.

#### Returns

a newly created LassoSamlAuthorityBinding object

## Types and Values

### struct LassoSamlAuthorityBinding

    struct LassoSamlAuthorityBinding {
    	/* <attribute name="AuthorityKind" type="QName" use="required"/> */
    	char *AuthorityKind;
    	/* <attribute name="Location" type="anyURI" use="required"/> */
    	char *Location;
    	/* <attribute name="Binding" type="anyURI" use="required"/> */
    	char *Binding;
    };